"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("../utils/fs");
const pathUtils = require("path");
const TEMPLATE = `<?xml version="1.0" encoding="utf-8"?>
<!-- Intentionally lax Network Security Configuration (generated by apk-mitm) -->
<network-security-config>
  <!-- Allow cleartext traffic -->
  <base-config cleartextTrafficPermitted="true">
    <trust-anchors>
      <!-- Allow user-added (proxy) certificates -->
      <certificates src="user" />

      <certificates src="system" />
    </trust-anchors>
  </base-config>
</network-security-config>`;
async function createNetworkSecurityConfig(path) {
    await fs.mkdir(pathUtils.dirname(path), { recursive: true });
    await fs.writeFile(path, TEMPLATE, 'utf-8');
}
exports.default = createNetworkSecurityConfig;
