"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const globby = require("globby");
const observe_async_1 = require("../utils/observe-async");
const process_file_1 = require("./smali/process-file");
async function disableCertificatePinning(directoryPath, task) {
    return observe_async_1.default(async (log) => {
        // Convert Windows path (using backslashes) to POSIX path (using slashes)
        const directoryPathPosix = directoryPath
            .split(path.sep)
            .join(path.posix.sep);
        const globPattern = path.posix.join(directoryPathPosix, 'smali*/**/*.smali');
        let pinningFound = false;
        log('Scanning Smali files...');
        for await (const filePathChunk of globby.stream(globPattern)) {
            // Required because Node.js streams are not typed as generics
            const filePath = filePathChunk;
            const hadPinning = await process_file_1.default(filePath, log);
            if (hadPinning)
                pinningFound = true;
        }
        if (!pinningFound)
            task.skip('No certificate pinning logic found.');
    });
}
exports.default = disableCertificatePinning;
