"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CLASS_PATTERN = /\.class(?<keywords>.+)? L(?<name>[^\s]+);/;
const IMPLEMENTS_PATTERN = /\.implements L(?<name>[^\s]+);/g;
function parseSmaliHead(contents) {
    var _a, _b;
    const { keywords, name } = (_a = contents.match(CLASS_PATTERN)) === null || _a === void 0 ? void 0 : _a.groups;
    return {
        name,
        isInterface: (_b = keywords === null || keywords === void 0 ? void 0 : keywords.trim().split(' ').includes('interface')) !== null && _b !== void 0 ? _b : false,
        implements: Array.from(contents.matchAll(IMPLEMENTS_PATTERN)).map(match => match.groups.name),
    };
}
exports.default = parseSmaliHead;
