"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const match_all_1 = require("../../utils/match-all");
const CLASS_PATTERN = /\.class(?<keywords>.+)? L(?<name>[^\s]+);/;
const IMPLEMENTS_PATTERN = /\.implements L(?<name>[^\s]+);/g;
/**
 * Extracts general information like the class name, the implemented interfaces,
 * and whether the class actually represents an interface from a Smali file.
 */
function parseSmaliHead(contents) {
    var _a, _b;
    const { keywords, name } = (_a = contents.match(CLASS_PATTERN)) === null || _a === void 0 ? void 0 : _a.groups;
    return {
        name,
        implements: Array.from(match_all_1.default(contents, IMPLEMENTS_PATTERN)).map(match => match.groups.name),
        isInterface: (_b = keywords === null || keywords === void 0 ? void 0 : keywords.trim().split(' ').includes('interface')) !== null && _b !== void 0 ? _b : false,
    };
}
exports.default = parseSmaliHead;
