"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const execute_jar_1 = require("../utils/execute-jar");
const observe_process_1 = require("../utils/observe-process");
const tool_1 = require("./tool");
class UberApkSigner extends tool_1.default {
    constructor() {
        super(...arguments);
        this.name = 'uber-apk-signer';
    }
    sign(inputPaths, { zipalign = false } = {}) {
        const pathArgs = [];
        for (const path of inputPaths) {
            pathArgs.push('--apks', path);
        }
        return observe_process_1.default(execute_jar_1.executeJar(this.jarPath, [
            '--allowResign',
            '--overwrite',
            ...(zipalign ? [] : ['--skipZipAlign']),
            ...pathArgs,
        ]), 'signing');
    }
    get version() {
        const versionNumber = '1.2.1';
        return {
            name: `v${versionNumber}`,
            downloadUrl: 'https://github.com/patrickfav/uber-apk-signer/releases/download' +
                `/v${versionNumber}/uber-apk-signer-${versionNumber}.jar`,
        };
    }
}
exports.default = UberApkSigner;
