"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("../utils/fs");
const pathUtils = require("path");
const observe_async_1 = require("./observe-async");
function observeProcess(process, logName) {
    return observe_async_1.default(async (log) => {
        await fs.mkdir('logs', { recursive: true });
        const fileName = pathUtils.join('logs', `${logName}.log`);
        const failedFileName = pathUtils.join('logs', `${logName}.failed.log`);
        const stream = fs.createWriteStream(fileName);
        process.stdout.on('data', (data) => {
            log(data.toString().trim());
            stream.write(data);
        });
        process.stderr.on('data', (data) => stream.write(data));
        try {
            await process;
        }
        catch (error) {
            await fs.rename(fileName, failedFileName);
            throw error;
        }
        finally {
            stream.close();
        }
    });
}
exports.default = observeProcess;
